GET api/pcapi/pcsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PCViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| db_login | string |
String length: inclusive between 0 and 50 |
|
| db_name | string |
String length: inclusive between 0 and 50 |
|
| db_password | string |
String length: inclusive between 0 and 50 |
|
| db_source | string |
String length: inclusive between 0 and 50 |
|
| id | globally unique identifier |
None. |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| lock_id | globally unique identifier |
None. |
|
| mac_address | string |
Required String length: inclusive between 0 and 30 |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_type_id | globally unique identifier |
None. |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| site_id | globally unique identifier |
None. |
|
| zone_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"cleanroom_id": "da8af28b-5489-45bb-8be4-fde7333f41fa",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "523f4863-b80f-4a01-a294-5e2e8851b1e2",
"local_ip": "sample string 7",
"lock_id": "003152c5-6825-4820-9409-6753e297a4fb",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "e57fc1b6-c486-426c-8dfd-58b2b6f05d1c",
"rights": [
{
"code": "sample string 1",
"id": "d34bb99a-4445-4f6b-b38e-404a9bd6dbf2"
},
{
"code": "sample string 1",
"id": "d34bb99a-4445-4f6b-b38e-404a9bd6dbf2"
}
],
"site_id": "5a9a6247-70ac-4aea-930b-5696f926f77d",
"zone_id": "39628f86-5746-4488-afbd-a812fb43c29d"
},
{
"active": true,
"cleanroom_id": "da8af28b-5489-45bb-8be4-fde7333f41fa",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "523f4863-b80f-4a01-a294-5e2e8851b1e2",
"local_ip": "sample string 7",
"lock_id": "003152c5-6825-4820-9409-6753e297a4fb",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "e57fc1b6-c486-426c-8dfd-58b2b6f05d1c",
"rights": [
{
"code": "sample string 1",
"id": "d34bb99a-4445-4f6b-b38e-404a9bd6dbf2"
},
{
"code": "sample string 1",
"id": "d34bb99a-4445-4f6b-b38e-404a9bd6dbf2"
}
],
"site_id": "5a9a6247-70ac-4aea-930b-5696f926f77d",
"zone_id": "39628f86-5746-4488-afbd-a812fb43c29d"
}
]
application/xml, text/xml
Sample:
<ArrayOfpc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pc>
<active>true</active>
<cleanroom_id>da8af28b-5489-45bb-8be4-fde7333f41fa</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>523f4863-b80f-4a01-a294-5e2e8851b1e2</id>
<local_ip>sample string 7</local_ip>
<lock_id>003152c5-6825-4820-9409-6753e297a4fb</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>e57fc1b6-c486-426c-8dfd-58b2b6f05d1c</pc_type_id>
<rights>
<right>
<ID>d34bb99a-4445-4f6b-b38e-404a9bd6dbf2</ID>
<code>sample string 1</code>
</right>
<right>
<ID>d34bb99a-4445-4f6b-b38e-404a9bd6dbf2</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>5a9a6247-70ac-4aea-930b-5696f926f77d</site_id>
<zone_id>39628f86-5746-4488-afbd-a812fb43c29d</zone_id>
</pc>
<pc>
<active>true</active>
<cleanroom_id>da8af28b-5489-45bb-8be4-fde7333f41fa</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>523f4863-b80f-4a01-a294-5e2e8851b1e2</id>
<local_ip>sample string 7</local_ip>
<lock_id>003152c5-6825-4820-9409-6753e297a4fb</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>e57fc1b6-c486-426c-8dfd-58b2b6f05d1c</pc_type_id>
<rights>
<right>
<ID>d34bb99a-4445-4f6b-b38e-404a9bd6dbf2</ID>
<code>sample string 1</code>
</right>
<right>
<ID>d34bb99a-4445-4f6b-b38e-404a9bd6dbf2</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>5a9a6247-70ac-4aea-930b-5696f926f77d</site_id>
<zone_id>39628f86-5746-4488-afbd-a812fb43c29d</zone_id>
</pc>
</ArrayOfpc>